#include "test2n.h"

Test2N::Test2N(int n)
    :Problem(n)
{
    Data l, r;
    l.resize(n);
    r.resize(n);
    for (int i = 0; i < n; i++)
    {
        l[i] = -5.0;
        r[i] =  5.0;
    }
    setLeftMargin(l);
    setRightMargin(r);
}

double Test2N::funmin(Data &x)
{
    double sum = 0.0;
    for(int i=0;i<getDimension();i++)
    {
        double v = pow(x[i],4)-16*x[i]*x[i]+5*x[i];
        sum  = sum +v;
    }
    sum = sum *0.5;
    return sum;
}

Data    Test2N::gradient(Data &x)
{

}
